clear all 
close all

M=10;
T=5;
t= -T:.01:T;
gam=[1/3,1,3];

subplot(2,2,1)
plot (t,max(0,1-t),'-')
hold
plot (t,(1-t).^2,':')
plot (t,exp(-t),'--')
axis([-T T -1 M ])
title ('L_1(t)')

for i=1:3
    subplot (2,2,i+1)
    g=gam(i);
    plot(t,max(0,1+g*t),'-')
    hold on
    plot (t,(1+g*t).^2,':')
    plot (t,exp(g*t),'--')
    axis([-T T -1 M ])
    title (['L_{-1}(t), \gamma = ' num2str(g)])
    if i==1
       legend ('hinge','squared error','exponential','Location','Northwest') 
    end
end

%print -deps cvxpart.eps
