function [Ha] = Hcalc(phi,g,w,vt)
CLm=vt+(1/g)*(1-vt);
switch phi
    case 1 % hinge
        CLopt = ((g+1)/g)*min(vt,1-vt);
    case 2 % squared error 
        CLopt = ((1+g)^2/g)*vt.*(1-vt)./(vt+g*(1-vt));
    case 3% exponential
        nz = find(vt > 0 & vt < 1);
        CLopt = zeros(size(vt));
        CLopt(nz) = vt(nz).*((1-vt(nz))./vt(nz)).^(1/(1+g))+(1/g).*(1-vt(nz)).*(vt(nz)./(1-vt(nz))).^(g/(1+g));
end
Ha=w.*(CLm-CLopt);
